Page MenuHomePhabricator

Empty depicts statements display 'unsupported datatype' message
Closed, ResolvedPublic

Description

We have this:

With other statements, we changed the "unsupported statement" message you get when you attempt to edit - it is now only shown for properties whose datatype we don't support yet.
However, 'depicts' gets added to the page automatically - without value.
The code that currently detects what is supported, uses the statement (in this case: no value) to determine whether the datatype is supported.
Because it has no value, it figures this is not a supported datatype, and grays out the depicts widget and shows a warning when attempting to edit.

We want this:

Nothing - "depicts" is supported

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:VisualEditor_toolbar_actions-fur.png

  • (if there are no existing 'depicts' statements) the depicts widgets must not be grayed out
  • (if there are no existing 'depicts' statements) when clicking 'edit' in depicts widget, one must not get an "Unsupported property" popup

QA Results

ACStatusDetails
1T226096#5293515
2T226096#5293515

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterAlso support properties with *no* value

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 19 2019, 11:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 517840 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Also support properties with *no* value

https://gerrit.wikimedia.org/r/517840

Change 517840 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Also support properties with *no* value

https://gerrit.wikimedia.org/r/517840

Ramsey-WMF triaged this task as Medium priority.Jun 25 2019, 3:16 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jun 29 2019, 12:45 AM
Edtadros added subscribers: Ramsey-WMF, Edtadros.

Test Result

Status: ❓ Need more info
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):===Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:VisualEditor_toolbar_actions-fur.png

❓ AC1: (if there are no existing 'depicts' statements) the depicts widgets must not be grayed out


@Ramsey-WMF, I'm not entirely sure what the "depicts widget" encompases on the page. I didn't see anything disabled but I thought I'd make sure.

✅ AC2: (if there are no existing 'depicts' statements) when clicking 'edit' in depicts widget, one must not get an "Unsupported property" popup

Edtadros updated the task description. (Show Details)Jun 29 2019, 12:46 AM
Ramsey-WMF closed this task as Resolved.Jul 31 2019, 6:06 PM

No problems on production.